<div class="container-fluid" *ngIf="room">

  <div class="row">
    <div class="col-12">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12 text-center"><h1><span class="d-none d-sm-inline fs-75">Room </span>{{room.name}} <i class="fas fa-qrcode" (click)="copyCurrentUrlToClipboard()"></i></h1></div>
        </div>
        <div class="row">
          <div class="col-12 text-center"><textarea readonly="true" [cols]="roomLink().length" class="roomlink">{{roomLink()}}</textarea></div>
        </div>

        <div class="row d-flex justify-content-center">
          <div class="p-3" *ngFor="let guess of room.guesses">
            <div class="guess p-3 animate__animated animate__flash">
              <div *ngIf="!room.guessHidden" class="guess-value" [innerHTML]="guess.value|sanitizeHtml"></div>
              <div class="guess-author">{{guess.author}}</div>
            </div>
          </div>
        </div>

        <div class="row" *ngIf="room.guesses.length == 0"><div class="no-guess">No vote :(</div></div>
      </div>
    </div>
  </div>

</div>

<div class="guessZone">

  <div class="d-flex p-2 justify-content-between" *ngIf="room">
    <div class="" *ngFor="let guessOption of room.guessOptions">
      <button class="" (click)="addOrUpdateGuess(guessOption)"><span class="d-none d-sm-inline">Vote </span><span [innerHTML]="guessOption|sanitizeHtml"></span></button>
    </div>
  </div>

  <div class="d-flex p-2" *ngIf="room.guessHidden">
    <button class="" style="width: 100%" (click)="revealGuesses()">Reveal guesses</button>
  </div>

  <div class="d-flex p-2" *ngIf="!room.guessHidden">
    <button class="" style="width: 100%" (click)="hideGuesses()">Reveal guesses</button>
  </div>

  <div class="d-flex p-2">
    <button class="" style="width: 100%" (click)="resetVotes()">Reset vote</button>
  </div>

  <div class="p-2 text-center">
    <div class="">Your pseudo is <strong>{{userService.getCurrentUser().name}}</strong>, <span (click)="changeUsername()" class="change-username-link">Change it</span></div>
  </div>
</div>

